﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace radtrackbar
{
    public partial class Form1 : Form
    {
        private int oldValue = 0;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            BindingList<Element> list = new BindingList<Element>()
            { 
                new Element(1,"mike","Toshiba portage"),
                new Element(2,"nancy","Toshiba portage"),
                new Element(3,"rosa","Asus"),
                new Element(3,"rosa","Hp"),
            };
            this.radGridView1.DataSource = list;
            //this.radTrackBar1.ValueChanged += new System.EventHandler(this.radTrackBar1_ValueChanged);
            this.radTrackBar1.Scroll += new System.Windows.Forms.ScrollEventHandler(this.radTrackBar1_Scroll);
        }

        //private void radTrackBar1_ValueChanged(object sender, EventArgs e)
        //{
        //    if (this.radTrackBar1.Value > oldValue)
        //    {
        //        foreach (GridViewColumn item in this.radGridView1.Columns)
        //        {
        //            item.Width += (this.radTrackBar1.Value - oldValue) * 5;
        //        }
        //    }
        //    else
        //    {
        //        foreach (GridViewColumn item in this.radGridView1.Columns)
        //        {
        //            item.Width -= (oldValue - this.radTrackBar1.Value) * 5;
        //        }
        //    }
        //    oldValue = this.radTrackBar1.Value;
        //}

        private void radTrackBar1_Scroll(object sender, ScrollEventArgs e)
        {
            if (this.radTrackBar1.Value > oldValue)
            {
                foreach (GridViewColumn item in this.radGridView1.Columns)
                {
                    item.Width += (this.radTrackBar1.Value - oldValue) * 5;
                }
            }
            else
            {
                foreach (GridViewColumn item in this.radGridView1.Columns)
                {
                    item.Width -= (oldValue - this.radTrackBar1.Value) * 5;
                }
            }
            oldValue = this.radTrackBar1.Value;
        }
    }

    public class Element
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string ItemToBuy { get; set; }

        public Element(int id, string name, string itemToBuy)
        {
            this.Id = id;
            this.Name = name;
            this.ItemToBuy = itemToBuy;
        }

    }
}
